declare namespace FG {
	interface Session {
		expires: Date;
		token: string;
		lifetime: number;
		browser: string;
		platform: string;
	}
	interface User {
		userid: string;
		display_name: string;
		firstname: string;
		lastname: string;
		mail: string;
		roles: Array<Role>;
	}
	type Permission = string;
	interface Role {
		name: string;
		permissions: Array<Permission>;
	}
	interface Transaction {
		id: number;
		time: Date;
		amount: number;
		sender_id: string;
		receiver_id: string;
		author_id: string;
	}
	interface Event {
		id: number;
		begin: Date;
		end: Date;
		description: string;
		type: EventType;
		slots: Array<EventSlot>;
	}
	interface EventSlot {
		id: number;
		start: Date;
		end?: any;
		jobs: Array<JobSlot>;
	}
	type EventType = string;
	interface Job {
		userid: string;
		value: number;
	}
	interface JobSlot {
		id: number;
		type: JobType;
		users: Array<Job>;
		required_jobs: number;
	}
	type JobType = string;
}
